Main Page Widgets Namespaces Book

# Gtk::FileChooserButton Class Reference
[Widgets]

Inheritance diagram for Gtk::FileChooserButton:
[legend]
List of all members.

## Detailed Description

A button to launch a file chooser dialog.

TODO: The Gtk::FileChooserButton is a button which displays the currently selected font and allows to open a font selection dialog to change the font. It is suitable widget for selecting a font in a preference dialog.

## Public Member Functions

virtual | ~FileChooserButton ()
GtkFileChooserButton* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkFileChooserButton* | gobj () const
| Provides access to the underlying C GtkObject.
| FileChooserButton (const Glib::ustring& title=Glib::ustring())
| FileChooserButton (const Glib::ustring& title, const Glib::ustring& backend)
| FileChooserButton (FileChooserDialog& dialog)
Glib::ustring | get_title () const
void | set_title (const Glib::ustring& title)
bool | get_active () const
void | set_active (bool is_active=true)
int | get_width_chars () const
void | set_width_chars (int n_chars)
Glib::PropertyProxy_ReadOnly< FileChooserDialog* > | property_dialog () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_title ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_active ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_active () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Related Functions

(Note that these are not member functions.)
Gtk::FileChooserButton* | wrap (GtkFileChooserButton* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::FileChooserButton::~FileChooserButton | ( |  | ) | `[virtual]`

Gtk::FileChooserButton::FileChooserButton | ( | const Glib::ustring& | title = `Glib::ustring()` | ) | `[explicit]`

Gtk::FileChooserButton::FileChooserButton | ( | const Glib::ustring& | title,
|  | const Glib::ustring& | backend
| ) | `[explicit]`

Gtk::FileChooserButton::FileChooserButton | ( | FileChooserDialog& | dialog | ) | `[explicit]`

## Member Function Documentation

bool Gtk::FileChooserButton::get_active | ( |  | ) | const

Glib::ustring Gtk::FileChooserButton::get_title | ( |  | ) | const

int Gtk::FileChooserButton::get_width_chars | ( |  | ) | const

const GtkFileChooserButton* Gtk::FileChooserButton::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Button.

GtkFileChooserButton* Gtk::FileChooserButton::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Button.

Glib::PropertyProxy_ReadOnly<bool> Gtk::FileChooserButton::property_active | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::FileChooserButton::property_active | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<FileChooserDialog*> Gtk::FileChooserButton::property_dialog | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::FileChooserButton::property_title | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::FileChooserButton::property_title | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::FileChooserButton::set_active | ( | bool | is_active = `true` | ) |

void Gtk::FileChooserButton::set_title | ( | const Glib::ustring& | title | ) |

void Gtk::FileChooserButton::set_width_chars | ( | int | n_chars | ) |

## Friends And Related Function Documentation

Gtk::FileChooserButton* wrap | ( | GtkFileChooserButton* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- filechooserbutton.h